package com.as.workflow.contorller;

import java.util.List;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.as.common.json.requestJSON;
import com.as.user.controller.userContorller;
import com.as.user.dao.UserData;
import com.as.workflow.dao.ViewWorkFlowEntity;
import com.as.workflow.dao.WorkFlowEntity;
import com.as.workflow.service.WorkFlowService;

@RestController
@RequestMapping("/workflow")
public class WorkFlowContorller {
	private static final Logger logger = LogManager.getLogger(userContorller.class);
	@Autowired
	WorkFlowService workFlowServiceImpl;
	
	@RequestMapping(value="/getAllList", method=RequestMethod.POST)
	public requestJSON<List<WorkFlowEntity>> getAllList(@RequestBody WorkFlowEntity data){
		requestJSON<List<WorkFlowEntity>> json = new requestJSON<List<WorkFlowEntity>>();
		try {
			json.setCode(200);
			json.setData(workFlowServiceImpl.findWorkFlowList(data));
			json.setMessage("成功");
		} catch (Exception e) {
			json.setCode(500);
			json.setMessage("错误" + e.toString());
			return json; 
		}
		
		
		return json; 
	}
	
	@RequestMapping(value="/getGroupByWorkOrderNo", method=RequestMethod.POST)
	public requestJSON<List<ViewWorkFlowEntity>> getGroupByWorkOrderNo(@RequestBody WorkFlowEntity data){
		requestJSON<List<ViewWorkFlowEntity>> json = new requestJSON<List<ViewWorkFlowEntity>>();
		try {
			json.setCode(200);
			json.setData(workFlowServiceImpl.findViewToWokeList(data));
			json.setMessage("成功");
		} catch (Exception e) {
			json.setCode(500);
			json.setMessage("错误" + e.toString());
			return json; 
		}
	
		
		return json; 
	}
	
	@RequestMapping(value="/addWorkFlow", method=RequestMethod.POST)
	public requestJSON<Integer> addWorkFlow(@RequestBody WorkFlowEntity data){
		requestJSON<Integer> json = new requestJSON<Integer>();
		
		try {
			json.setCode(200);
			json.setData(workFlowServiceImpl.addWorkFlow(data));
			json.setMessage("新增成功");
			return json; 
		} catch (Exception e) {
			json.setCode(500);
			json.setMessage("错误" + e.toString());
			return json; 
		}
	
		
	}
	
}
